UpdateTeam
/api/v1/teams/{team}Update metadata about a team such as a team’s description.
Example request
Section titled “Example request”curl -X PATCH \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ -H "Content-Type: application/json" \ -d '{ "displayName": "string" }' \ "https://us.oblique.security/api/v1/teams/{team}?updateMask=displayName"Set OBLIQUE_API_KEY to your API key.
curl -X PATCH \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ -H "Content-Type: application/json" \ -d '{ "displayName": "string" }' \ "https://eu.oblique.security/api/v1/teams/{team}?updateMask=displayName"Set OBLIQUE_API_KEY to your API key.
Path parameters
Section titled “Path parameters”team.namestringrequiredAssigned by Oblique. Name of the team of the format
teams/{team}.
Query parameters
Section titled “Query parameters”updateMaskstring (field-mask)The list of fields to update.
allowMissingbooleanIf set to true, and the team is not found, a new team will be created with the given name. If created in this way,
update_maskis ignored.
Request body
Section titled “Request body”displayNamestringrequiredDisplayed name of the team.
descriptionstringLonger description.
managementManagementHow this team is managed. Set automatically by the server based on the calling client. Omitted from responses when the team is manually managed (the default).
managerstringHow the API object is managed. Set automatically by the server based on the caller: Terraform clients produce
TERRAFORM; for all other clients the management field is left unset on the response.repoUristringURI of the VCS repository that holds the Terraform configuration for this API object. Populated by the Oblique Terraform provider.
repoDirstringOptionally, the subdirectory within
repo_urithat holds the Terraform configuration for this API object. Populated by the Oblique Terraform provider.
createTimestring (date-time)read-onlyCreate and update timestamps.
updateTimestring (date-time)read-onlydeleteTimestring (date-time)read-onlyTeams can only be soft-deleted to preserve logs and history.
memberCountinteger (int32)read-onlyThe number of members in the team.
Response
Section titled “Response”200TeamA team represents a group of users. Teams can be hierarchical by specifying a single parent, but can’t be arbitrarily nested.
namestringAssigned by Oblique. Name of the team of the format
teams/{team}.displayNamestringrequiredDisplayed name of the team.
descriptionstringLonger description.
managementManagementHow this team is managed. Set automatically by the server based on the calling client. Omitted from responses when the team is manually managed (the default).
managerstringHow the API object is managed. Set automatically by the server based on the caller: Terraform clients produce
TERRAFORM; for all other clients the management field is left unset on the response.repoUristringURI of the VCS repository that holds the Terraform configuration for this API object. Populated by the Oblique Terraform provider.
repoDirstringOptionally, the subdirectory within
repo_urithat holds the Terraform configuration for this API object. Populated by the Oblique Terraform provider.
createTimestring (date-time)read-onlyCreate and update timestamps.
updateTimestring (date-time)read-onlydeleteTimestring (date-time)read-onlyTeams can only be soft-deleted to preserve logs and history.
memberCountinteger (int32)read-onlyThe number of members in the team.
Errors
Section titled “Errors”| Status | Meaning |
|---|---|
400 | Malformed request |
401 | Missing or invalid API key |
403 | Not allowed for this API key |
404 | Not found |
429 | Too many requests |
500 | Internal server error |